# Uses of Class
com.ngrok.definitions.IpRestriction

Packages that use IpRestriction
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of IpRestriction in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type IpRestriction
  Modifier and Type
  Method
  Description
  `List<IpRestriction>`
  IpRestrictionList.`getIpRestrictions()`
  the list of all IP restrictions on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type IpRestriction
  Modifier
  Constructor
  Description
  ``
  `IpRestrictionList(List<IpRestriction> ipRestrictions, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `IpRestrictionList`.

- ## Uses of IpRestriction in com.ngrok.services

  Methods in com.ngrok.services that return IpRestriction
  Modifier and Type
  Method
  Description
  `IpRestriction`
  IpRestrictions.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `IpRestriction`
  IpRestrictions.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `IpRestriction`
  IpRestrictions.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type IpRestriction
  Modifier and Type
  Method
  Description
  `CompletionStage<IpRestriction>`
  IpRestrictions.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<IpRestriction>`
  IpRestrictions.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<IpRestriction>`
  IpRestrictions.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.